grk::mqcoder Struct Reference

`#include <mqc.h>`

## Public Attributes

uint32_t | c
| temporary buffer where bits are coded or decoded
uint32_t | a
| only used by MQ decoder
uint32_t | ct
| number of bits already read or free to write
uint32_t | end_of_byte_stream_counter
uint8_t * | bp
| pointer to the current position in the buffer
uint8_t * | start
| pointer to the start of the buffer
uint8_t * | end
| pointer to the end of the buffer
const mqc_state * | ctxs [MQC_NUMCTXS]
| Array of contexts.
const mqc_state ** | curctx
| Active context.
const uint8_t * | lut_ctxno_zc_orient
uint8_t | backup [grk_cblk_dec_compressed_data_pad_right]
| Original value of the 2 bytes at end[0] and end[1].

## Member Data Documentation

## a

uint32_t grk::mqcoder::a

only used by MQ decoder

## backup

uint8_t grk::mqcoder::backup[grk_cblk_dec_compressed_data_pad_right]

Original value of the 2 bytes at end[0] and end[1].

## bp

uint8_t* grk::mqcoder::bp

pointer to the current position in the buffer

## c

uint32_t grk::mqcoder::c

temporary buffer where bits are coded or decoded

## ct

uint32_t grk::mqcoder::ct

number of bits already read or free to write

## ctxs

const mqc_state* grk::mqcoder::ctxs[MQC_NUMCTXS]

Array of contexts.

## curctx

const mqc_state** grk::mqcoder::curctx

Active context.

## end

uint8_t* grk::mqcoder::end

pointer to the end of the buffer

## end_of_byte_stream_counter

uint32_t grk::mqcoder::end_of_byte_stream_counter

## lut_ctxno_zc_orient

const uint8_t* grk::mqcoder::lut_ctxno_zc_orient

Referenced by grk::T1::decompress_cblk().

## start

uint8_t* grk::mqcoder::start

pointer to the start of the buffer

The documentation for this struct was generated from the following file:

- mqc.h